﻿
using Model;
using System.Collections.Immutable;
using System.Collections.ObjectModel;

namespace EFlib
{
    public class EFChampion
    {
        // public int Id { get; set; }
        // https://learn.microsoft.com/fr-fr/ef/core/modeling/keyless-entity-types?tabs=data-annotations

        /**** Only Attributs ****/
        //[Key]
        public string Name { get; set; }
        //[MaxLength(500)]
        public string Bio { get; set; }
        public string Icon { get; set; }
        public ReadOnlyDictionary<string, int> Characteristics { get; private set; }
        public EFChampionClass Class { get; set; }
        public ReadOnlyCollection<EFSkin> Skins { get; private set; }
        public ImmutableHashSet<Skill> Skills { get; private set; }
        public LargeImage Image { get; set; }
    }
}